Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226193 - Merge Review: net-tools
Summary: Merge Review: net-tools
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:15 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 03:40:21 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:15:52 UTC
Fedora Merge Review: net-tools

http://cvs.fedora.redhat.com/viewcvs/devel/net-tools/
Initial Owner: rvokal@redhat.com

Comment 1 Jason Tibbitts 2007-02-19 04:10:53 UTC
Not much from rpmlint:

W: net-tools summary-ended-with-dot Basic networking tools.
   Trivial to fix

W: net-tools no-url-tag
W: net-tools-debuginfo no-url-tag
   Upstream seems mostly dead, but it still makes sense to list something.
   I suggest using http://www.tazenda.demon.co.uk/phil/net-tools/

E: net-tools broken-syntax-in-scriptlet-requires Requires(post,preun): chkconfig
   Unfortunately these have to be listed separately.  Usually the dependency is
   on /sbin/chkconfig, and your scriptlets will also need a dependency on
   /sbin/service:
      Requires(post): /sbin/chkconfig
      Requires(preun): /sbin/chkconfig
      Requires(preun): /sbin/service
      Requires(postun): /sbin/service

W: net-tools mixed-use-of-spaces-and-tabs (spaces: line 206, tab: line 1)
   It's good to be consistent, but mainly this is romlint being overly picky.

W: net-tools conffile-without-noreplace-flag /etc/ethers
W: net-tools conffile-without-noreplace-flag /etc/netplug/netplugd.conf
   These probably do need %config(noreplace)

E: net-tools zero-length /etc/ethers
   Normally zero-length files aren't shipped, but in this case I suppose
   something needs to be installed there, and I don't think the file will
   accept comments.

W: net-tools incoherent-init-script-name netplugd
   This seems bogus; rpmlint wants to see initscripts named after the package.


The only other issue I saw:

The netplug source should also be a full URL, since it has its own upstream:
   http://www.red-bean.com/~bos/netplug/netplug-%{npversion}.tar.bz2

Review:
* source files match upstream:
   15e7928c819c72108432b0d573110630ff6eb2f7be05e5a6dc1dc04fa05f63b1
    netplug-1.2.9.tar.bz2
   7ae4dd6d44d6715f18e10559ffd270511b6e55a8900ca54fbebafe0ae6cf7d7b
    net-tools-1.60.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper
   (BR: libselinux is redundant because libselinux-devel requires it.)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
X rpmlint has a few valid complaints.
* final provides and requires are sane:
   config(net-tools) = 1.60-77.fc7
   net-tools = 1.60-77.fc7
  =
   /bin/sh
   chkconfig
   config(net-tools) = 1.60-77.fc7
   libselinux.so.1()(64bit)
* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
X scriptlets are OK, but there are dependency issues.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.


Comment 2 Radek Vokal 2007-02-19 08:20:50 UTC
ad net-tools zero-length /etc/ethers - I've added a kind of default comment. All
other issue are fixed in net-tools-1.60-78

Comment 3 Jason Tibbitts 2007-02-23 03:40:21 UTC
OK, everything looks good to me.

APPROVED

The fixed package is already in the repo, so I'll go ahead and close this ticket.


Note You need to log in before you can comment on or make changes to this bug.